#if !defined(AFX_DIALOGDRAWDEMODLG_H__8FEBC498_A0C7_4627_A529_994002296A08__INCLUDED_)
#define AFX_DIALOGDRAWDEMODLG_H__8FEBC498_A0C7_4627_A529_994002296A08__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DialogDrawDemoDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDialogDrawDemoDlg dialog
#include "DrawCtrl.h"
#include "DialogBasicMoveDlg.h"	// Added by ClassView
class CDialogDrawDemoDlg : public CDialog
{
// Construction
public:
	CDialogDrawDemoDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDialogDrawDemoDlg)
	enum { IDD = IDD_DRAWDEMO_DIALOG };
	CComboBox	m_cComboDrawType;
	CDrawCtrl	m_CDrawVT;
	CDrawCtrl	m_CDrawXY;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDialogDrawDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDialogDrawDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonDrawdemoStart();
	afx_msg void OnButtonDrawdemoStop();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnButtonDrawdemoClear();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	void SetLogicalParent(CWnd* pWnd) {m_pLogicalParent = pWnd;}
	CWnd *m_pLogicalParent;
	void InitComboBox();
void StopDraw();
void ClearData();
void DrawCircular();
void DrawBallPark();
void Draw4RoseLeaves();
void RoseLeaves(int nStart, int nEnd);
void DrawSin();
	public:
		
	
	BOOL m_bIsBreak;
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIALOGDRAWDEMODLG_H__8FEBC498_A0C7_4627_A529_994002296A08__INCLUDED_)
